#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x2937b282, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xf994917d, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x83b9d0a3, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x141e6821, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x8dfad5d9, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x578e2b44, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x7168b3aa, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x0d0666b8, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x7efd6d2f, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xad6d696e, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xe25f25f1, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x3ab4cbb9, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xbb1b7623, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xa2a57e7f, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xae652c5f, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xcd65d322, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xdbf5842e, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xec56ec76, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x66f77fff, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xe971d183, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x328dc0d4, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x637f2868, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x0270f887, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xe17bf086, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x0f1e161d, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xd56df29e, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xd58b52a1, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x318db4af, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x0570c8d0, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x33a41c52, "");
SYMBOL_CRC(drm_dp_aux_init, 0x7b8c4da0, "");
SYMBOL_CRC(drm_dp_aux_register, 0xd25a51af, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x5c891ac7, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x8b41c462, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xc39b33fc, "");
SYMBOL_CRC(drm_dp_read_desc, 0xe0c39ea0, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x19e7ae6b, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x1aeea740, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x0edc1a12, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xb088082e, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xd2507397, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xeaafbbe6, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x59a9933f, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xcabfa7dd, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x8b22be3b, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xebe6bcb1, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x1bbc1668, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x6498f68c, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x5d1b26d5, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xe05582ca, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x99be32c6, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x83ab599b, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x809178bb, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xea52616e, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xb62c56bc, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xda2d63a1, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xfa5902b2, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xce55c9e5, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xae6e4da6, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x59153203, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x5383170d, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0xe7277301, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x0d752e10, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x2b8147f2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x560c6b76, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xba2756c9, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x5e8dbcb8, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x0d72b5da, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x2f12236a, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x46ac2ec9, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x8935f75d, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x2e8f0e9b, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x28632f96, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x5655a8ac, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xcda811ba, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x0b2596bb, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x50fb46e7, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x12f0d0fa, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0xa3ccca37, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xfcde8597, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xe1975cde, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x60a82104, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xcf5bac27, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xb2491bfb, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x2f464b4c, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x3aea5f59, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xf8687fb6, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x1ac17c5a, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x6fa0070c, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x2c63c2a5, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xb0b2bba0, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x53287e63, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x9c580994, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x30d99896, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x7f3375d4, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x8de93f04, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xf62ce4a2, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x57fdc4b9, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x50e8b493, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xfbd684aa, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xcbe724a3, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xd24812bd, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x2e6ccbe4, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x3bcc28db, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xd11ebc9d, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0xaa16a25c, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x653a6b31, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x4f43a97a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x8b0b7da4, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xe48c42bc, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x92168da0, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0xeda55181, "");
SYMBOL_CRC(drm_scdc_write, 0x513d2b64, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x01063a2f, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x3c4ef579, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xb5287de0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0xb898c192, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x5e608ede, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x743121fa, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0xe4a52ee9, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x91b28bc7, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xba379cec, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xeb9ada8e, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xcb10cc7c, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x4c1ebf09, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xe4989ecc, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xa1306b24, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x910d08ad, "drm_crtc_add_crc_entry" },
	{ 0x793ba4db, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd122ca63, "drm_connector_register" },
	{ 0x913448d7, "cec_transmit_attempt_done_ts" },
	{ 0x268da5bc, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5365ab22, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xb8d4a1fb, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x980dfc31, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x29c571ec, "cec_s_conn_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0x7f2c6c99, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc9ee17b5, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91dd6cb5, "drm_mode_object_put" },
	{ 0xac56aefa, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x3d26518b, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x92d1a391, "drm_atomic_private_obj_fini" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8af38b39, "drm_dev_printk" },
	{ 0xbddb3c2d, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xb18af271, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{  0xc1f8d, "drm_crtc_wait_one_vblank" },
	{ 0x1350399b, "drm_modeset_lock" },
	{ 0x5e4e9778, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4f44201e, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0xdbb3493f, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd5fcbbe7, "seq_putc" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x1ae80466, "drm_crtc_commit_wait" },
	{ 0x881118b7, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xf98b7d9d, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x9605aa0, "drm_atomic_get_old_private_obj_state" },
	{ 0xcd6e61df, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf82aa9c8, "_dev_warn" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc17cda58, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0x2def5338, "cec_allocate_adapter" },
	{ 0x5bb61e93, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xf71f0685, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7cac7902, "hdmi_infoframe_pack" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4485bcc, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xe3019aa2, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x52be3544, "i2c_transfer" },
	{ 0xf283a61e, "drm_display_mode_from_cea_vic" },
	{ 0x57a5b638, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7907299a, "cec_fill_conn_info_from_drm" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0xd6a9306e, "cec_received_msg_ts" },
	{ 0xec879657, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x9854f1a2, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0xb272f882, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0xc9de2eea, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x900075d6, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "D032EFB2543D69C6768CFE4");
MODULE_INFO(rhelversion, "9.6");
