#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x164db28d, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x1e0d84e9, "");
SYMBOL_CRC(ib_cm_listen, 0xc6a1f9c2, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x91f51951, "");
SYMBOL_CRC(ib_send_cm_req, 0xbac9cd49, "");
SYMBOL_CRC(ib_send_cm_rep, 0x67ec1f62, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xc416edd0, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xb7a17044, "");
SYMBOL_CRC(ib_send_cm_drep, 0x952a7c03, "");
SYMBOL_CRC(ib_send_cm_rej, 0x2953b252, "");
SYMBOL_CRC(ib_send_cm_mra, 0xdecb5595, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xb852c81d, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x907c4f90, "");
SYMBOL_CRC(ib_cm_notify, 0xf114fdd3, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xcfb8339e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa59ee383, "ib_unregister_client" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9b203aa5, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xbce8e6de, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x833407b5, "trace_event_printf" },
	{ 0xf95a85ea, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x85047b2b, "rdma_query_gid" },
	{ 0x626d46ea, "ib_port_register_client_groups" },
	{ 0x28c05b38, "ib_modify_port" },
	{ 0x632b57ef, "bpf_trace_run2" },
	{ 0xa810830c, "event_triggers_call" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x49c6f5bd, "trace_event_buffer_commit" },
	{ 0x4eb38d12, "rdma_create_ah" },
	{ 0x89d44429, "ib_init_ah_attr_from_wc" },
	{ 0x5908fec4, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc88a83e2, "trace_event_ignore_this_pid" },
	{ 0x6be4d49e, "ib_register_client" },
	{ 0xcc62e1e0, "ib_unregister_mad_agent" },
	{ 0xe63727b0, "ib_post_send_mad" },
	{ 0x54e44ea8, "ib_create_send_mad" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2e565579, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x11e70253, "rdma_destroy_ah_attr" },
	{ 0xf2ec6d1c, "ib_set_client_data" },
	{ 0xaa13536a, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x4ebabf2d, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6230a39c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x36ace1d7, "bpf_trace_run1" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xf82aa9c8, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xffa1e3bd, "rdma_destroy_ah_user" },
	{ 0x452a4d79, "ib_free_send_mad" },
	{ 0x5555a88e, "ib_port_unregister_client_groups" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x2ab874e2, "bpf_trace_run3" },
	{ 0x6f0488ee, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4f2e07e, "trace_event_buffer_reserve" },
	{ 0x20598aa5, "rdma_find_gid" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x60fcd59e, "ib_free_recv_mad" },
	{ 0xc18e2fc3, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x451dcf93, "ib_modify_mad" },
	{ 0x673eae82, "ib_create_ah_from_wc" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E27E8FD24D293AA761B239E");
MODULE_INFO(rhelversion, "9.6");
