#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");

SYMBOL_CRC(uart_write_wakeup, 0x1e907549, "");
SYMBOL_CRC(uart_update_timeout, 0x9a1edf6b, "");
SYMBOL_CRC(uart_get_baud_rate, 0xf0addd38, "");
SYMBOL_CRC(uart_get_divisor, 0x4c130058, "");
SYMBOL_CRC(uart_xchar_out, 0x31a7ee6f, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0xac6f953c, "");
SYMBOL_CRC(uart_resume_port, 0xdc0d2308, "");
SYMBOL_CRC(uart_register_driver, 0x7586eb4c, "");
SYMBOL_CRC(uart_unregister_driver, 0x69e79519, "");
SYMBOL_CRC(uart_console_device, 0x9d200009, "_gpl");
SYMBOL_CRC(uart_match_port, 0xd635a51e, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x98f5e79f, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x51cbce9c, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x48198949, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0xdecfafc2, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0xde896e24, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0xbddf5496, "");
SYMBOL_CRC(uart_remove_one_port, 0x5571554d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x5b02ddde, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf094540f, "dev_set_name" },
	{ 0x79e1c912, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf1750d42, "tty_kref_put" },
	{ 0x1d3aec1a, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0xbb0846d1, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x8b1f44d8, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc03d97c4, "tty_standard_install" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd29a04e0, "tty_hangup" },
	{ 0xf9df51a9, "tty_unregister_driver" },
	{ 0xbd15fe03, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x3cbe2fb4, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x1627435, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x91f4d6a1, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbffea917, "tty_port_tty_wakeup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc32105b9, "_dev_alert" },
	{ 0x7dcf7e48, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x38cec916, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x4f44201e, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x35d318a3, "device_add" },
	{ 0x872c6197, "tty_ldisc_ref" },
	{ 0xe3b3a576, "tty_vhangup" },
	{ 0xd2ecdd1c, "irq_get_irq_data" },
	{ 0xf2643d63, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf284f757, "tty_port_destroy" },
	{ 0x6b4ee0f3, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd5fcbbe7, "seq_putc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x947eaddb, "driver_unregister" },
	{ 0xd0c3e18a, "tty_ldisc_deref" },
	{ 0x4f14572a, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbd608623, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9a8f97c0, "tty_port_register_device_attr_serdev" },
	{ 0x7b1bcf8a, "tty_port_close" },
	{ 0xf82aa9c8, "_dev_warn" },
	{ 0x440a3849, "nbcon_release" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfae12c83, "_dev_notice" },
	{ 0xa74e1080, "nbcon_acquire" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd6642324, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x533570e0, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4485bcc, "seq_printf" },
	{ 0xc089c149, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x57a5b638, "seq_puts" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x9ef46771, "register_console" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf022b20b, "driver_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcc6d4e3a, "tty_driver_kref_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0x7579af13, "bus_register" },
	{ 0x478cf71, "tty_port_tty_get" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EC8DCB84A1B5E5208C3345");
MODULE_INFO(rhelversion, "9.6");
