#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xded1bfbd, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x257f9332, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x3cc2c711, "_gpl");
SYMBOL_CRC(fat_scan, 0x93192a34, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x884bc33d, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xf9dca3a2, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x7570c1d7, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xfd811df5, "_gpl");
SYMBOL_CRC(fat_getattr, 0xa2f2f0fc, "_gpl");
SYMBOL_CRC(fat_setattr, 0xbba2da15, "_gpl");
SYMBOL_CRC(fat_attach, 0x14c5bf88, "_gpl");
SYMBOL_CRC(fat_detach, 0x24edd717, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x1fa70b04, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x94a98d3b, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xef9c984f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x2b34a1ac, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xce3b56cc, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xde08fe06, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x53bb5c6e, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x3e5c97a4, "_gpl");
SYMBOL_CRC(fat_update_time, 0xd50f873b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0cee281, "filemap_fdatawrite" },
	{ 0x9edb8819, "generic_fillattr" },
	{ 0xfcd8ee3, "setattr_prepare" },
	{ 0xf7195898, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdb220e60, "sync_blockdev_nowait" },
	{ 0xb6daaca, "make_vfsgid" },
	{ 0xe6c90a84, "blk_start_plug" },
	{ 0x73146898, "clear_inode" },
	{ 0x6fa3bb4c, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x87b1674, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd2afa73e, "new_inode" },
	{ 0x3bfaa65f, "mark_buffer_dirty" },
	{ 0x2b85b495, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5150f4fa, "__find_get_block" },
	{ 0xc4d858c0, "filemap_fdatawrite_range" },
	{ 0xa65c53ea, "inode_needs_sync" },
	{ 0xfbe7a33c, "__blockdev_direct_IO" },
	{ 0xc720976, "d_make_root" },
	{ 0x867402e1, "__bforget" },
	{ 0xb7335557, "sb_set_blocksize" },
	{ 0x41891224, "block_truncate_page" },
	{ 0x6e5b2867, "write_dirty_buffer" },
	{ 0x96ba0bae, "sync_filesystem" },
	{ 0x57e936ad, "fsnotify" },
	{ 0x36c27353, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9189afb4, "from_vfsuid" },
	{ 0x851b3f91, "inode_dio_wait" },
	{ 0x977eff1d, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9e19c86, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x66eb19de, "iput" },
	{ 0x43f1e5f, "iter_file_splice_write" },
	{ 0xb2483865, "generic_file_write_iter" },
	{ 0x4e7a3120, "kmem_cache_create" },
	{ 0x6c337018, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x48f6fa79, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x58ee6ecf, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x35fe52ff, "block_invalidate_folio" },
	{ 0x3c7ea36, "__breadahead" },
	{ 0x3902c86f, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x84315235, "load_nls" },
	{ 0x21a0a42b, "generic_cont_expand_simple" },
	{ 0x8abda6ca, "make_kuid" },
	{ 0xb6e1a9fe, "truncate_inode_pages_final" },
	{ 0x30e284d3, "block_write_full_page" },
	{ 0x4c307baf, "generic_file_mmap" },
	{ 0x9d039805, "sync_mapping_buffers" },
	{ 0xbc19ddde, "ilookup" },
	{ 0xe6e0ee58, "kmem_cache_alloc" },
	{ 0x107df5dc, "invalidate_inode_buffers" },
	{ 0x82f0f4de, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb9e82710, "mnt_drop_write_file" },
	{ 0x5bcef1b6, "inode_init_once" },
	{ 0x814f04de, "compat_ptr_ioctl" },
	{ 0xce3f2f50, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x5c95d93d, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xdf9bbd41, "generic_file_read_iter" },
	{ 0x871992d, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x1b73a344, "truncate_pagecache" },
	{ 0xfb1726a1, "sync_dirty_buffer" },
	{ 0x63f76179, "setattr_copy" },
	{ 0xc1d28130, "__wait_on_buffer" },
	{ 0xdb2ec390, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe0502ac3, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x180eac6d, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xc4f2ba95, "from_vfsgid" },
	{ 0x96b65ab6, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x7dc2e9d8, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe18c2f06, "__bread_gfp" },
	{ 0x5e5ce976, "block_dirty_folio" },
	{ 0xec931032, "mpage_read_folio" },
	{ 0xf11717f5, "__insert_inode_hash" },
	{ 0x19f0399d, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x7b5fbbc7, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x64b16424, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f24448e, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x79eb8f24, "igrab" },
	{ 0xf678859f, "__getblk_gfp" },
	{ 0x6dbb981a, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x8584938e, "mpage_readahead" },
	{ 0x3c136b8d, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xebfc47e8, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xf4485bcc, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x50b60d7f, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xf376eca0, "blkdev_issue_flush" },
	{ 0x57a5b638, "seq_puts" },
	{ 0xcfc5c375, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x5627f7a1, "from_kuid_munged" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x34f6b2ed, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x88ccefb9, "kmem_cache_alloc_lru" },
	{ 0x696edcd4, "__mark_inode_dirty" },
	{ 0x5a9acd47, "generic_file_llseek" },
	{ 0x56bbfa9d, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0xfff33d9d, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xd9e918ee, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0xeb390d04, "kmem_cache_destroy" },
	{ 0xa93a83e7, "blkdev_issue_discard" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "033CF30DAAD5CFA1CC33BC6");
MODULE_INFO(rhelversion, "9.6");
