#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x00201a13, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xc8c2d0f8, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x3552466b, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x60e81233, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x8a8a820f, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x3ad5dec7, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x323b8b28, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xe11276d7, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x2ef7f487, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x001c23f9, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x7d2034ec, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x0ee698fe, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xa9b50fc2, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x611bea6c, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xb00a0214, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x69c31114, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xd87cfd73, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x4235aa3b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x7a8f363e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x747691a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x5cd8e1d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xeb5ec8f6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xd9158232, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6eb976ce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x31c1c0c7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x7dad3f3f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x6878fac5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xf53290d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x21768134, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x48c3aed0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xb6fa4c9e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x91ca08f0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x418ec3d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x7016ab4c, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x04c6a179, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xef98552d, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xfd6a03d2, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xb13b1248, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xdc378040, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x180663b7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x0245fe29, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x75d34714, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x7aeb3270, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x32cfd6af, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xc05e0df3, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xf01daaa8, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x49e802b9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x19e72781, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x061df459, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x59169238, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xc10cf992, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x2f9123f3, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xeb7a5a37, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x9cf1827a, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xbc9d89ef, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xdeb3a691, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x1da9a26b, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x7813f6d3, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x164f17e2, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x6125ad87, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xd1e412ed, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xba189dd4, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xd025ced3, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x62621824, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x15100c31, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x41de968e, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x2c88742c, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xbeb98569, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xb7811696, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x39714c82, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x97dc2707, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x4882feb5, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x8dad739a, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xaab7b97a, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x61756411, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xf66147d2, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xfcc7bb4d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x880dbb23, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x44fa4406, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xa8972b1d, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xe3c6e149, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xb3ad1c46, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x552307ed, "rpc_put_task" },
	{ 0xa0edcb28, "generic_copy_file_range" },
	{ 0xb901d12, "svc_generic_rpcbind_set" },
	{ 0xbddac789, "nfs_clone_server" },
	{ 0x143714f7, "nfs_access_add_cache" },
	{ 0xb0cee281, "filemap_fdatawrite" },
	{ 0x39a67731, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7011eba6, "nfs_server_remove_lists" },
	{ 0x8253ac96, "nfs42_ssc_unregister" },
	{ 0x6bcce7f9, "generic_listxattr" },
	{ 0x2ff6f2b8, "try_module_get" },
	{ 0x54ae7a21, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2bec8d8, "vmemmap" },
	{ 0x5122f7db, "nfs_writeback_update_inode" },
	{ 0x73146898, "clear_inode" },
	{ 0x9e0a610c, "inode_to_bdi" },
	{ 0x80359ad5, "bpf_trace_run4" },
	{ 0x183c624, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x268da5bc, "param_ops_uint" },
	{ 0x276c6353, "user_revoke" },
	{ 0xd1797a24, "d_exact_alias" },
	{ 0xd57081dd, "nfs_alloc_client" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x57f004e8, "nfs_mark_client_ready" },
	{ 0x9e8a284b, "rpc_clnt_probe_trunked_xprts" },
	{ 0x9394a24d, "nfs_pageio_reset_read_mds" },
	{ 0xcb175554, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xf4661cbf, "rpc_shutdown_client" },
	{ 0x9b8b741e, "svc_bind" },
	{ 0x44a0f116, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xc3f7b601, "nfs_free_inode" },
	{ 0xe9acad5, "nfs_access_zap_cache" },
	{ 0x400bbe63, "nfs_sb_deactive" },
	{ 0x7603137e, "nfs_wb_all" },
	{ 0x87b1674, "generic_file_splice_read" },
	{ 0x4ec97e8c, "__break_lease" },
	{ 0xeba598ef, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x927539f1, "svc_recv" },
	{ 0xd0744fa8, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xaaf55c6a, "xdr_inline_decode" },
	{ 0x3d3a9e7a, "nfs_pageio_init_read" },
	{ 0xbce8e6de, "trace_raw_output_prep" },
	{ 0xfaedf98c, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x2d5c84c2, "nfs_init_commit" },
	{ 0x70306aa9, "nfs_commitdata_release" },
	{ 0x70a4ae12, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbe85adff, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x7a04a500, "nfs_mknod" },
	{ 0x96e0952f, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc8bf31f3, "nfs4_label_alloc" },
	{ 0xdfecb923, "rpc_localaddr" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x833407b5, "trace_event_printf" },
	{ 0x6e7ce4d8, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x492c7c20, "nfs_lock" },
	{ 0x443b9ee4, "unregister_key_type" },
	{ 0x73a0130f, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbebe94cf, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xf95a85ea, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x309d4b15, "ihold" },
	{ 0x55c61d83, "truncate_pagecache_range" },
	{ 0xef7e42bc, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ccdf8c4, "invalidate_inode_pages2_range" },
	{ 0xe74d6831, "nfs_post_op_update_inode" },
	{ 0xef43b029, "svc_exit_thread" },
	{ 0x66eb19de, "iput" },
	{ 0x2e2534bb, "xdr_set_pagelen" },
	{ 0x4a131bfe, "nfs_pgio_header_free" },
	{ 0xda82e3a5, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x79f71723, "logfc" },
	{ 0x69e3355c, "nfs_pgio_header_alloc" },
	{ 0x43f1e5f, "iter_file_splice_write" },
	{ 0xe2a143b3, "rpc_pton" },
	{ 0x6fb6e536, "nfs_sb_active" },
	{ 0xa14f0758, "mod_node_page_state" },
	{ 0x9472e08a, "rpc_ntop" },
	{ 0xdf482690, "rpc_wake_up_queued_task" },
	{ 0x632b57ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x727e32e8, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x46ba5eaa, "rpc_restart_call_prepare" },
	{ 0xa810830c, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3b41706f, "_copy_from_pages" },
	{ 0xc6b73d7b, "__module_get" },
	{ 0x4e7a3120, "kmem_cache_create" },
	{ 0x7bf8bb60, "rpc_task_release_transport" },
	{ 0x5e26338e, "xdr_page_pos" },
	{ 0x9b006871, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x3e4e06dc, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd282f2be, "key_instantiate_and_link" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x4e1be687, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xb11f4d, "register_key_type" },
	{ 0x710bcdd9, "rpc_sleep_on" },
	{ 0x899ab70b, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfafd4ad8, "nfs_pageio_resend" },
	{ 0xf81db46a, "keyring_alloc" },
	{ 0x6d5254d1, "vfs_setpos" },
	{ 0x3795407f, "nfs_create" },
	{ 0x32983b87, "complete_request_key" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0xc581f642, "nfs_update_delegated_mtime" },
	{ 0x7c6776df, "nfs_statfs" },
	{ 0xe57414dd, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x88c1a61, "rpc_max_bc_payload" },
	{ 0x49c6f5bd, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x71a1bdf, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xa64ba475, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf3e2bf, "nfs_mkdir" },
	{ 0x1606fe10, "nfs_revalidate_inode" },
	{ 0xd56222ef, "inode_newsize_ok" },
	{ 0x7e0e0b2c, "nfs_file_mmap" },
	{ 0x2c5ed8b0, "nfs_get_lock_context" },
	{ 0x5c8d0ae1, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xfee3ad48, "nfs_set_cache_invalid" },
	{ 0x64f33a40, "rpc_release_client" },
	{ 0xa5af89a, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd13e9933, "xdr_enter_page" },
	{ 0x683d47f3, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc88a83e2, "trace_event_ignore_this_pid" },
	{ 0x87e083bd, "nfs_generic_pgio" },
	{ 0x8abda6ca, "make_kuid" },
	{ 0xb6e1a9fe, "truncate_inode_pages_final" },
	{ 0xe6b218aa, "generic_setlease" },
	{ 0xcf8fe8ae, "xprt_destroy_backchannel" },
	{ 0xacf6136a, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x26eda01c, "nfs_scan_commit_list" },
	{ 0xb67bdab7, "xdr_stream_decode_string_dup" },
	{ 0x4a7c3c2e, "nfs_commit_inode" },
	{ 0x86dca074, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x4ed857f6, "rpc_destroy_pipe_data" },
	{ 0x785127d0, "nfs_get_client" },
	{ 0x78681ace, "__free_pages" },
	{ 0xe6e0ee58, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x252e3c39, "nfs_atomic_open" },
	{ 0xa507d41, "rpc_pipe_generic_upcall" },
	{ 0x85bde60b, "nfs_file_fsync" },
	{ 0x171ef4c3, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf82c66c2, "mntput" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xdb81b7d8, "nfs_put_lock_context" },
	{ 0x5fd4a198, "nfs_rename" },
	{ 0xa6429c75, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd68d9de4, "nfs_sysfs_link_rpc_client" },
	{ 0x1616e22, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x6f8904d3, "nfs_show_options" },
	{ 0x7ca0cb5f, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x3efddbfe, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xbcee3707, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x39165bad, "get_nfs_open_context" },
	{ 0x2e565579, "perf_trace_run_bpf_submit" },
	{ 0x4b72a3ed, "nfs_clear_verifier_delegated" },
	{ 0x3337f8b4, "nfs_sysfs_add_server" },
	{ 0x523219ce, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8ce90727, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x2304f976, "nfs_do_submount" },
	{ 0xed4634ef, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0xac350926, "request_key_with_auxdata" },
	{ 0xddf785d8, "rpc_clone_client_set_auth" },
	{ 0x8334fd5a, "rpc_clone_client" },
	{ 0x67d7c0e9, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf0083050, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xfeca5781, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xd27640cf, "user_describe" },
	{ 0x3c79e94f, "put_fs_context" },
	{ 0x24a7cf5a, "nfs_retry_commit" },
	{ 0xf839869, "nfs4_dentry_operations" },
	{ 0x3f7803b6, "__module_put_and_kthread_exit" },
	{ 0xd4686c82, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xea5aadc5, "nfs_client_for_each_server" },
	{ 0xa2ddcd5, "nfs_clear_inode" },
	{ 0xbdad1260, "rpc_sleep_on_priority" },
	{ 0xb9261e27, "nfs_invalidate_atime" },
	{ 0x19e388c5, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3bcfe8bf, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x3ab40315, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xfeec1827, "nfs_pageio_reset_write_mds" },
	{ 0xe0502ac3, "kmem_cache_free" },
	{ 0xd1f11e9d, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x19258735, "xdr_stream_subsegment" },
	{ 0x5705fdfc, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xedef40c, "nfs_fscache_open_file" },
	{ 0xac0215d9, "from_kgid" },
	{ 0x6230a39c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xde10d6c5, "nfs_write_inode" },
	{ 0x7d7f82e6, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x521022ef, "rpc_wake_up_first" },
	{ 0xc6a6cb7, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7624b09c, "vfs_parse_fs_param" },
	{ 0x3c68b76e, "nfs_path" },
	{ 0x76759fb6, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd391776d, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd3aa9c59, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x165bcd46, "rpc_sleep_on_timeout" },
	{ 0x61baa78d, "list_lru_count_one" },
	{ 0xdf76ea13, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x159143da, "rpc_call_start" },
	{ 0xe0440070, "xprt_setup_backchannel" },
	{ 0x36ace1d7, "bpf_trace_run1" },
	{ 0x535460bb, "svc_create" },
	{ 0x1d3548ee, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xb075d7db, "nfs_file_set_open_context" },
	{ 0x58494a59, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xf8586680, "rpc_call_sync" },
	{ 0xe3664cb4, "from_kuid" },
	{ 0x91f35d4a, "rpc_put_task_async" },
	{ 0xd653718c, "rpc_prepare_reply_pages" },
	{ 0x6f99398e, "rpc_queue_upcall" },
	{ 0x3d5074ad, "nfs_free_server" },
	{ 0x620f80ff, "fc_mount" },
	{ 0x6b7c3a7c, "nfs_setattr" },
	{ 0xc498c6b8, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe4cabc5, "nfs4_fs_type" },
	{ 0xacb69d5c, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x7ace8970, "rpc_delay" },
	{ 0x50dad8e2, "nfs_flock" },
	{ 0x3e952ee4, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x4aabb5e3, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xb11acc00, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x6b33542d, "rpc_exit" },
	{ 0x19f0399d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe03640d6, "rpc_remove_pipe_dir_object" },
	{ 0xba7146fd, "nfs_may_open" },
	{ 0x7b5fbbc7, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe9eb74fd, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0xf563e834, "xdr_reserve_space" },
	{ 0x10af7762, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0x14cac94c, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3900f0c4, "nfs_rmdir" },
	{ 0x2ab874e2, "bpf_trace_run3" },
	{ 0x6a1d5ac0, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x870f85b9, "nfs_filemap_write_and_wait_range" },
	{ 0xe160e914, "rpc_mkpipe_dentry" },
	{ 0xf86d3ffa, "alloc_file_pseudo" },
	{ 0x2d0ce5f2, "rpc_mkpipe_data" },
	{ 0x18be1986, "rpc_add_pipe_dir_object" },
	{ 0x79eb8f24, "igrab" },
	{ 0x598014b0, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x609b9ab4, "nfs_async_iocounter_wait" },
	{ 0x9825f326, "nfs_file_read" },
	{ 0x4f2e07e, "trace_event_buffer_reserve" },
	{ 0x2c36392, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x3c136b8d, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x38636f6e, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xea8deac6, "nfs_setattr_update_inode" },
	{ 0xe1a9c15e, "nfs_instantiate" },
	{ 0xebfc47e8, "init_user_ns" },
	{ 0x1c55acdc, "rpc_uaddr2sockaddr" },
	{ 0xbb69ad15, "user_read" },
	{ 0x91c2c028, "rpc_restart_call" },
	{ 0xe328ec5, "request_key_tag" },
	{ 0x857b37fa, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x20b5f8a1, "alloc_pages" },
	{ 0xd86143d7, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xbdb33571, "svc_xprt_destroy_all" },
	{ 0x4e0b1e0f, "generic_key_instantiate" },
	{ 0xbb486b07, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x9e32f2a4, "nfs_link" },
	{ 0x315953e8, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7114dc51, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x7f0738d8, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f4d47d5, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfa2452fc, "xdr_stream_move_subsegment" },
	{ 0xdac5c9c0, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x9a042296, "nfs_post_op_update_inode_force_wcc" },
	{ 0xcb16f245, "nfs_pgheader_init" },
	{ 0xbdefe85d, "put_nfs_open_context" },
	{ 0x91dae3d2, "nfs_show_path" },
	{ 0x46c3239c, "nfs_show_devname" },
	{ 0xc13fb3cc, "nfs_permission" },
	{ 0x34d3b039, "nfs_initiate_commit" },
	{ 0x80f5ea9e, "truncate_inode_pages_range" },
	{ 0xd4f57f59, "__put_user_ns" },
	{ 0x8a34ae0f, "cred_fscmp" },
	{ 0x4ab5b319, "rpc_unlink" },
	{ 0xb9925e67, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xc4556573, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x2c987432, "node_data" },
	{ 0x5687ae03, "nfs_probe_server" },
	{ 0x85d75b02, "nfs_setsecurity" },
	{ 0x1a8bccde, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xcccf49bb, "rpc_clnt_test_and_add_xprt" },
	{ 0x8eab07e9, "file_ra_state_init" },
	{ 0x67e08cd5, "nfs_force_lookup_revalidate" },
	{ 0xd32236f3, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xaab5d2da, "rpc_clnt_add_xprt" },
	{ 0xcbf5da5d, "dget_parent" },
	{ 0x5627f7a1, "from_kuid_munged" },
	{ 0x8b89f587, "prepare_kernel_cred" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x59e8269e, "nfs_alloc_server" },
	{ 0x310eb35f, "rpc_call_async" },
	{ 0x873b91fb, "security_dentry_init_security" },
	{ 0x67775c52, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x55243069, "nfs_server_insert_lists" },
	{ 0xe57f9334, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x677b964f, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb52cbd46, "rpc_init_pipe_dir_object" },
	{ 0x7da3057, "bpf_trace_run7" },
	{ 0xa3c23c9c, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xe9ccfdc9, "nfs_init_server_rpcclient" },
	{ 0x696edcd4, "__mark_inode_dirty" },
	{ 0x94e1a608, "rpc_set_connect_timeout" },
	{ 0x50cf0b70, "rpcauth_create" },
	{ 0x188f61a8, "xdr_stream_pos" },
	{ 0x4c2220f7, "key_set_timeout" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x48f62f4a, "svc_xprt_create" },
	{ 0x29b73f4d, "nfs42_ssc_register" },
	{ 0xa3a06d43, "rpc_wait_for_completion_task" },
	{ 0x15449ef, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff64510d, "rpc_num_bc_slots" },
	{ 0xe9bb1790, "nfs_alloc_inode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0x708c64cf, "security_inode_listsecurity" },
	{ 0x3a4b485c, "nfs_fhget" },
	{ 0xd81bb35, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x69f00037, "locks_copy_lock" },
	{ 0xeb390d04, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xdd445c8c, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf59b1d9d, "nfs_set_verifier" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "2F401B24294ABB2751EF59D");
MODULE_INFO(rhelversion, "9.6");
