#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xf24e79d8, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd9cc99d7, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xceaaac37, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x9c2198ec, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x54da16b4, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x6abe16d7, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xbb4e75b0, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x3acbe5d0, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x5bb0d06f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x78e08746, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x5c53b9bf, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x61ca1e4d, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x898ebe2c, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x73e32d47, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xf663fdb2, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x6a3ed5c4, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x3cec0f2d, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xd2829c04, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x1da81290, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xf6087659, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xde6f7681, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x2f7f77be, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x01fba88f, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x03d29185, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xde9afe5a, "_gpl");
SYMBOL_CRC(print_tuple, 0x0ea6a865, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xa94646ec, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xc4c74c3c, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xc0d64b27, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x63df5ae5, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xf85a38ee, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x572cabc7, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xb8490983, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x32e2cf04, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xa8125c34, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x34e302c0, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x6d2dfc90, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x9f94a686, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x5b69598b, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x490b2685, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x6dfa052c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xe0d32c2d, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xc07a17be, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x22320c2f, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x069315f8, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xa11d3c54, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x96ab75b3, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x93c4dd41, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x01f83a64, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x8ee55cda, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xf46bf276, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x50ff76ac, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xdedecf38, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x782c24c0, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xf75e9031, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x26fe9135, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x6383ba74, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x28e2684f, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x44f67f61, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xd49bdaff, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x600df6d5, "_gpl");
SYMBOL_CRC(nf_confirm, 0x8299a2a8, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x992a4085, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xf8844ed6, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xb31cdd0c, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xade7851a, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xe2319e2e, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x8ad251aa, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x45e0e96a, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x204befad, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x223e25a8, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x2103a75d, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x9aae3720, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xc930b1a6, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xe651c885, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x917a4627, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xb85150ac, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x108c85cf, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x053a8872, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x16411c67, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x248462c1, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xa6d5bc19, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x5f9f5f91, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x45ce607e, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x876570fa, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xe584ca4a, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xd4fa69f5, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x24b26c26, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x8b58a1ba, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xe58ca646, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x31d69675, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x730a796b, "__do_once_done" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x2ff6f2b8, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x812ac453, "nf_defrag_ipv4_disable" },
	{ 0x83992aac, "nf_ip6_checksum" },
	{ 0xd5be4b47, "proc_dou8vec_minmax" },
	{ 0xb4af9fd1, "skb_copy_bits" },
	{ 0x268da5bc, "param_ops_uint" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0x1c9f507e, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3243ccb4, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8352d78d, "nfct_btf_struct_access" },
	{ 0xffc0b814, "param_set_uint" },
	{ 0x1bc9ddd5, "nf_defrag_ipv4_enable" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xef174889, "nf_ct_frag6_gather" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xea3b5204, "get_net_ns_by_id" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4e7a3120, "kmem_cache_create" },
	{ 0xcfcb553, "nf_ct_hook" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf8c3e568, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x9d65e34b, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6e645be3, "nf_unregister_sockopt" },
	{ 0xce9d3346, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8abda6ca, "make_kuid" },
	{ 0xe5e429c9, "nf_defrag_ipv6_disable" },
	{ 0x98fa7033, "ipv6_skip_exthdr" },
	{ 0xdf9a36c, "nf_register_net_hooks" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xe6e0ee58, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x171ef4c3, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1f361faf, "nf_checksum" },
	{ 0x46431e0, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3815fcdd, "init_net" },
	{ 0x6209c397, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x809952f2, "sk_skb_reason_drop" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe0502ac3, "kmem_cache_free" },
	{ 0xd5fcbbe7, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x987ab8c6, "nf_checksum_partial" },
	{ 0x4c42b3df, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x56047581, "nf_unregister_net_hooks" },
	{ 0x46576276, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x625fdec3, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x59608c95, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x439b355c, "nf_log_packet" },
	{ 0x19f0399d, "make_kgid" },
	{ 0x6ced3f6b, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2000c917, "register_btf_kfunc_id_set" },
	{ 0xebc10b0b, "nf_conn_btf_access_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xcc2b538a, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x554a384a, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9d6e2b75, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x1b911787, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x52ff439c, "param_ops_bool" },
	{ 0x96eedb65, "inet_proto_csum_replace4" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x41ec2ac, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4485bcc, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc0930129, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x57a5b638, "seq_puts" },
	{ 0xc42f8048, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x3a529862, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xcfb67fae, "pskb_trim_rcsum_slow" },
	{ 0x555ccb97, "up_read" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeb390d04, "kmem_cache_destroy" },
	{ 0xfbe1eb6f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "065CA80DE7593740CA9C35A");
MODULE_INFO(rhelversion, "9.6");
