#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x6211212a, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x7a157bdb, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xf6d45e08, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x921c5962, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xeab71898, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x4cc68aca, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd6e5b3d1, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xb933c751, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x947afa94, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x7420230b, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x32ebdb45, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xd9343560, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x4036716c, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x2ea82bb4, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x496b222f, "");
SYMBOL_CRC(nf_nat_follow_master, 0x5fc32855, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xf3167ba2, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x749dd841, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xeed19518, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xb0f19854, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x72d3b298, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2319e2e, "nf_ct_ext_add" },
	{ 0x730a796b, "__do_once_done" },
	{ 0x5bb0d06f, "nf_conntrack_find_get" },
	{ 0x2ff6f2b8, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x83992aac, "nf_ip6_checksum" },
	{ 0xb4af9fd1, "skb_copy_bits" },
	{ 0x96f8199e, "nf_hook_entries_insert_raw" },
	{ 0x6172c87, "xfrm_lookup" },
	{ 0x45e0e96a, "nf_ct_seqadj_set" },
	{ 0x86c1ace0, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96ab75b3, "nf_ct_helper_expectfn_unregister" },
	{ 0x8abe2d90, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa11d3c54, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x97b48e12, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xdd35be97, "pskb_expand_head" },
	{ 0x9d65e34b, "register_pernet_subsys" },
	{ 0x898ebe2c, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xde6f7681, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x98fa7033, "ipv6_skip_exthdr" },
	{ 0xdf9a36c, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x171ef4c3, "module_put" },
	{ 0x8e17c7d, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x3cec0f2d, "nf_conntrack_alter_reply" },
	{ 0x6bff1940, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5bcc0ac2, "nf_hook_entries_delete_raw" },
	{ 0x4c42b3df, "skb_ensure_writable" },
	{ 0x56047581, "nf_unregister_net_hooks" },
	{ 0x2fc3a84f, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x625fdec3, "unregister_pernet_subsys" },
	{ 0x62a65d3, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3acbe5d0, "nf_ct_delete" },
	{ 0x6ced3f6b, "nf_ip_checksum" },
	{ 0x2000c917, "register_btf_kfunc_id_set" },
	{ 0x2f7f77be, "nf_ct_iterate_destroy" },
	{ 0x799f091f, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcc2b538a, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9d6e2b75, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x96eedb65, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4af70cb0, "dst_release" },
	{ 0x1da81290, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xc42f8048, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "C6ABB9EE939011585D104AC");
MODULE_INFO(rhelversion, "9.6");
