#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xb4c03c72, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x1a93d462, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xe279600e, "");
SYMBOL_CRC(rdma_res_to_id, 0x90dc983a, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x940d89bd, "");
SYMBOL_CRC(rdma_create_user_id, 0x49bf6f7d, "");
SYMBOL_CRC(rdma_create_qp, 0x18c539f5, "");
SYMBOL_CRC(rdma_destroy_qp, 0xd422c7a8, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xf6de0eff, "");
SYMBOL_CRC(rdma_destroy_id, 0x9402f9e3, "");
SYMBOL_CRC(rdma_get_service_id, 0xa04d900b, "");
SYMBOL_CRC(rdma_read_gids, 0x67684521, "");
SYMBOL_CRC(rdma_set_service_type, 0x1874d43e, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xf0e0cee6, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xaa38b5c6, "");
SYMBOL_CRC(rdma_set_ib_path, 0xea928bbf, "");
SYMBOL_CRC(rdma_resolve_route, 0x1f0698fb, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x2d8a2c2d, "");
SYMBOL_CRC(rdma_set_afonly, 0xb9622f92, "");
SYMBOL_CRC(rdma_listen, 0x794a2423, "");
SYMBOL_CRC(rdma_resolve_addr, 0x11432ec5, "");
SYMBOL_CRC(rdma_bind_addr, 0x8f3de385, "");
SYMBOL_CRC(rdma_connect_locked, 0xa213d0b5, "");
SYMBOL_CRC(rdma_connect, 0x259aa413, "");
SYMBOL_CRC(rdma_connect_ece, 0xb86ad4f9, "");
SYMBOL_CRC(rdma_accept, 0x8469a3ec, "");
SYMBOL_CRC(rdma_accept_ece, 0x00387400, "");
SYMBOL_CRC(rdma_lock_handler, 0xf5d525e5, "");
SYMBOL_CRC(rdma_unlock_handler, 0x2126650e, "");
SYMBOL_CRC(rdma_notify, 0x20043ae4, "");
SYMBOL_CRC(rdma_reject, 0x1def3039, "");
SYMBOL_CRC(rdma_disconnect, 0xc791697e, "");
SYMBOL_CRC(rdma_join_multicast, 0x05dc353e, "");
SYMBOL_CRC(rdma_leave_multicast, 0x492a8630, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb852c81d, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcb7b80fd, "iw_create_cm_id" },
	{ 0xc9b35d99, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa59ee383, "ib_unregister_client" },
	{ 0x8f3a939d, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x907c4f90, "ib_send_cm_sidr_rep" },
	{ 0x80359ad5, "bpf_trace_run4" },
	{ 0xf697323c, "config_group_init" },
	{ 0x9b203aa5, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x37b3f5b5, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbce8e6de, "trace_raw_output_prep" },
	{ 0x91f51951, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x833407b5, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0xf95a85ea, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x85047b2b, "rdma_query_gid" },
	{ 0xf01077fc, "rt6_lookup" },
	{ 0x22cd531d, "rdma_translate_ip" },
	{ 0x632b57ef, "bpf_trace_run2" },
	{ 0xa810830c, "event_triggers_call" },
	{ 0xec319c9d, "rdma_dev_access_netns" },
	{ 0x46cea00d, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0x1e0d84e9, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x84e16ab4, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9d65e34b, "register_pernet_subsys" },
	{ 0x49c6f5bd, "trace_event_buffer_commit" },
	{ 0xea3335a0, "ip_mc_inc_group" },
	{ 0xd35395d4, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5908fec4, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xbac13825, "iw_cm_connect" },
	{ 0x7c49711f, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d03aea0, "rdma_addr_cancel" },
	{ 0xc88a83e2, "trace_event_ignore_this_pid" },
	{ 0xf114fdd3, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x20d69bee, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x6be4d49e, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x7d0545e7, "ib_sa_path_rec_get" },
	{ 0x164db28d, "ib_create_cm_id" },
	{ 0x1f6d7114, "__ip_mc_dec_group" },
	{ 0x31489126, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2e565579, "perf_trace_run_bpf_submit" },
	{ 0x533cf53f, "ib_init_ah_from_mcmember" },
	{ 0x11e70253, "rdma_destroy_ah_attr" },
	{ 0xf2ec6d1c, "ib_set_client_data" },
	{ 0x3815fcdd, "init_net" },
	{ 0xaa13536a, "ib_get_cached_pkey" },
	{ 0x8d120f9b, "configfs_register_subsystem" },
	{ 0xaa66444f, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x4ebabf2d, "rdma_put_gid_attr" },
	{ 0x7df6e5d4, "config_group_init_type_name" },
	{ 0x83908755, "dev_get_by_index" },
	{ 0x756b303d, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x67ec1f62, "ib_send_cm_rep" },
	{ 0x6230a39c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x597e3ca3, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x36ace1d7, "bpf_trace_run1" },
	{ 0xa92be59d, "ib_destroy_qp_user" },
	{ 0x625fdec3, "unregister_pernet_subsys" },
	{ 0xcfb8339e, "ib_cm_init_qp_attr" },
	{ 0xf82aa9c8, "_dev_warn" },
	{ 0x952a7c03, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xde3bae40, "rdma_restrack_set_name" },
	{ 0x9aca5c1d, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x95786f8c, "ib_get_cached_port_state" },
	{ 0xdecb5595, "ib_send_cm_mra" },
	{ 0xb2253f55, "rdma_restrack_del" },
	{ 0xb40fa0f4, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x2ab874e2, "bpf_trace_run3" },
	{ 0xcc2b538a, "__put_net" },
	{ 0xfac73d6e, "rdma_restrack_parent_name" },
	{ 0x59c081a4, "iw_cm_accept" },
	{ 0x4f2e07e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x65c401ff, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1afa363, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xbc5d0746, "iw_cm_init_qp_attr" },
	{ 0x4af70cb0, "dst_release" },
	{ 0xc416edd0, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb7a17044, "ib_send_cm_dreq" },
	{ 0xbac9cd49, "ib_send_cm_req" },
	{ 0x1d9e8ffb, "ib_create_qp_kernel" },
	{ 0xc761412f, "ib_sa_join_multicast" },
	{ 0xe0772f0, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe0a1271f, "rdma_get_gid_attr" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x2eb56592, "rdma_restrack_new" },
	{ 0x9f05820c, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xaa9b330c, "iw_cm_listen" },
	{ 0x2953b252, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb48e93fb, "rdma_copy_src_l2_addr" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0xbab76824, "rdma_resolve_ip" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "AC6D96B734F44DE6F657D88");
MODULE_INFO(rhelversion, "9.6");
