#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xd3aa9c59, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x598014b0, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xd57081dd, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x677b964f, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x01616e22, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x73a0130f, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xf0083050, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xfaedf98c, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x785127d0, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x57f004e8, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xd391776d, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xe9ccfdc9, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x757441bf, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x5687ae03, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xe9eb74fd, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x55243069, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x7011eba6, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x59e8269e, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x3d5074ad, "_gpl");
SYMBOL_CRC(nfs_create_server, 0xb3e791bc, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xbddac789, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x67e08cd5, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xf59b1d9d, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x4b72a3ed, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x0f498237, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xa6429c75, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x44a0f116, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x0f839869, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x252e3c39, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x7f205e7f, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xe1a9c15e, "_gpl");
SYMBOL_CRC(nfs_create, 0x3795407f, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x7a04a500, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x00f3e2bf, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x3900f0c4, "_gpl");
SYMBOL_CRC(nfs_unlink, 0xdd445c8c, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x0d81bb35, "_gpl");
SYMBOL_CRC(nfs_link, 0x9e32f2a4, "_gpl");
SYMBOL_CRC(nfs_rename, 0x5fd4a198, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x0e9acad5, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x6e7ce4d8, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x143714f7, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xba7146fd, "_gpl");
SYMBOL_CRC(nfs_permission, 0xc13fb3cc, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x9b006871, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xd32236f3, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x9825f326, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x7e0e0b2c, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x85bde60b, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xc4556573, "_gpl");
SYMBOL_CRC(nfs_lock, 0x492c7c20, "_gpl");
SYMBOL_CRC(nfs_flock, 0x50dad8e2, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x597555c1, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xd0744fa8, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x0a2ddcd5, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0xb9925e67, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x9a1f2551, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xfee3ad48, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x5705fdfc, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xb9261e27, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xc8bf31f3, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x85d75b02, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x3a4b485c, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xc581f642, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x6b7c3a7c, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xea8deac6, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x3ab40315, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x2c5ed8b0, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xdb81b7d8, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x5f5ad300, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x0c6a6cb7, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x39165bad, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xbdefe85d, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x96e0952f, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xb075d7db, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x1606fe10, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x02c36392, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xa3c23c9c, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xe74d6831, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x9a042296, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xe9bb1790, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xc3f7b601, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x7480c807, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x6fb6e536, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x400bbe63, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xea5aadc5, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x7c6776df, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x6f8904d3, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x46c3239c, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x91dae3d2, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x39a67731, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x3bcfe8bf, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xeeef860b, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x83a107ee, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xaf2adf5d, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xe57f9334, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x3e4e06dc, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xcb16f245, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x609b9ab4, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x75a4a572, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xd1f11e9d, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x69e3355c, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x4a131bfe, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x4d7ea003, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x87e083bd, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xfafd4ad8, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x3d3a9e7a, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x9394a24d, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xadeb6872, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x38636f6e, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xba64ab5a, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xda82e3a5, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x575689ba, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x7d7f82e6, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x1899b6ff, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x26eda01c, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xeba598ef, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0xfeec1827, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x5122f7db, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x70306aa9, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x34d3b039, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x2d5c84c2, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x24a7cf5a, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x4a7c3c2e, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xde10d6c5, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x870f85b9, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x7603137e, "_gpl");
SYMBOL_CRC(nfs_path, 0x3c68b76e, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x2304f976, "_gpl");
SYMBOL_CRC(nfs_submount, 0x16d55c60, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x456b826c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x2f1a929b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x707113de, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x300bfe27, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xd68d9de4, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x3337f8b4, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xe3dc0849, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x0e4cabc5, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x0edef40c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x552307ed, "rpc_put_task" },
	{ 0x41bedca6, "super_setup_bdi_name" },
	{ 0xb62c754c, "posix_test_lock" },
	{ 0x9b2dc1fc, "inode_update_timestamps" },
	{ 0xb0cee281, "filemap_fdatawrite" },
	{ 0x9edb8819, "generic_fillattr" },
	{ 0xd41b74c, "vfs_fsync_range" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x9ccca4e3, "clear_nlink" },
	{ 0x36d9ec62, "file_check_and_advance_wb_err" },
	{ 0x2ff6f2b8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8a8d6672, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2bec8d8, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x73146898, "clear_inode" },
	{ 0x9e0a610c, "inode_to_bdi" },
	{ 0x80359ad5, "bpf_trace_run4" },
	{ 0x5f6de467, "__fscache_acquire_volume" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xf548aa36, "param_ops_ulong" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0xa6d854fd, "rpc_proc_register" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0x7eb97041, "sysfs_create_file_ns" },
	{ 0xf4661cbf, "rpc_shutdown_client" },
	{ 0xb6bf157d, "fs_param_is_string" },
	{ 0x63621e95, "folio_unlock" },
	{ 0x6df2814d, "mnt_set_expiry" },
	{ 0x1a05e086, "param_ops_ushort" },
	{ 0x181be854, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x87b1674, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xa6b29402, "rpc_clnt_show_stats" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x49b06b9f, "filemap_map_pages" },
	{ 0x84233d37, "__fscache_begin_read_operation" },
	{ 0xaaf55c6a, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbce8e6de, "trace_raw_output_prep" },
	{ 0xe55111d3, "kobject_rename" },
	{ 0xed9c8475, "security_sb_set_mnt_opts" },
	{ 0xe746254e, "init_special_inode" },
	{ 0xac40395c, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xc4d858c0, "filemap_fdatawrite_range" },
	{ 0x8ccbe70b, "folio_wait_bit_killable" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xc720976, "d_make_root" },
	{ 0x833407b5, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x96ba0bae, "sync_filesystem" },
	{ 0xac09344c, "__fscache_unuse_cookie" },
	{ 0x78f9e8ce, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0xe5ea25b9, "sget_fc" },
	{ 0xbebe94cf, "d_splice_alias" },
	{ 0xcb0552c3, "generic_error_remove_page" },
	{ 0xf95a85ea, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x7192ed64, "unmap_mapping_range" },
	{ 0x309d4b15, "ihold" },
	{ 0x851b3f91, "inode_dio_wait" },
	{ 0xb5d88543, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ccdf8c4, "invalidate_inode_pages2_range" },
	{ 0x8246fd32, "read_cache_page" },
	{ 0xb6e78bfa, "finish_open" },
	{ 0x66eb19de, "iput" },
	{ 0x3e6c4bfb, "kset_unregister" },
	{ 0xd595b9a, "security_sb_clone_mnt_opts" },
	{ 0xabbacb2e, "fs_param_is_enum" },
	{ 0x79f71723, "logfc" },
	{ 0x43f1e5f, "iter_file_splice_write" },
	{ 0xe2a143b3, "rpc_pton" },
	{ 0xa14f0758, "mod_node_page_state" },
	{ 0xdf482690, "rpc_wake_up_queued_task" },
	{ 0x632b57ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x8bdc00fd, "remove_proc_subtree" },
	{ 0x46ba5eaa, "rpc_restart_call_prepare" },
	{ 0x801183c9, "d_lookup" },
	{ 0xa810830c, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc6b73d7b, "__module_get" },
	{ 0x73b56cb9, "__fscache_relinquish_cookie" },
	{ 0xf23aea85, "register_filesystem" },
	{ 0x4e7a3120, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf565ac6, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0xc60ea9b3, "filemap_add_folio" },
	{ 0x710bcdd9, "rpc_sleep_on" },
	{ 0x899ab70b, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xff14adf2, "netfs_readahead" },
	{ 0xf8c3e568, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcc75fd96, "d_prune_aliases" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0x9d65e34b, "register_pernet_subsys" },
	{ 0x91d33b4b, "rpc_cancel_tasks" },
	{ 0x49c6f5bd, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x48770344, "migrate_folio" },
	{ 0xa64ba475, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe7b409ba, "fs_param_is_u32" },
	{ 0xd56222ef, "inode_newsize_ok" },
	{ 0x5c8d0ae1, "d_drop" },
	{ 0xe281627c, "deactivate_super" },
	{ 0x79290518, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9f53826, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xf627f3cf, "security_sb_mnt_opts_compat" },
	{ 0xce9d3346, "param_get_uint" },
	{ 0xce7ee5ae, "vfs_parse_fs_string" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc88a83e2, "trace_event_ignore_this_pid" },
	{ 0x8abda6ca, "make_kuid" },
	{ 0xb6e1a9fe, "truncate_inode_pages_final" },
	{ 0xfa2abdb, "d_alloc" },
	{ 0x2edc51d6, "fs_kobj" },
	{ 0x542ff804, "net_ns_type_operations" },
	{ 0x1c24650b, "__filemap_set_wb_err" },
	{ 0x4c307baf, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x46f47cf2, "generic_perform_write" },
	{ 0x6e4ba29e, "__filemap_get_folio" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x8d26ff0e, "simple_nosetlease" },
	{ 0xe6e0ee58, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x171ef4c3, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd7eeef3a, "rpc_setbufsize" },
	{ 0x46be5b9d, "fs_context_for_submount" },
	{ 0x5bcef1b6, "inode_init_once" },
	{ 0xd8f44e7, "folio_wait_private_2" },
	{ 0xb012d403, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x39ed70ba, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x7835a908, "ilookup5" },
	{ 0x8831be7c, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd39b2f03, "inode_nohighmem" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2e565579, "perf_trace_run_bpf_submit" },
	{ 0xe19e79f6, "security_d_instantiate" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xd2510a63, "up_write" },
	{ 0xdf9bbd41, "generic_file_read_iter" },
	{ 0x6ebbb4cd, "unlock_page" },
	{ 0xddf785d8, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dea1053, "memchr" },
	{ 0x1b73a344, "truncate_pagecache" },
	{ 0x3c79e94f, "put_fs_context" },
	{ 0xd4686c82, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x1fdae221, "kobj_sysfs_ops" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x19e388c5, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x7f425e68, "write_cache_pages" },
	{ 0xdb2ec390, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe0502ac3, "kmem_cache_free" },
	{ 0x3c849463, "rpc_max_payload" },
	{ 0xad75726e, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x72e038ee, "d_move" },
	{ 0xd5fcbbe7, "seq_putc" },
	{ 0x6cf8b468, "rpc_proc_unregister" },
	{ 0x6230a39c, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x20acf2da, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xf6949574, "folio_wait_writeback" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x75bcf914, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xb6373aaf, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x96b65ab6, "write_inode_now" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x7dc2e9d8, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0x8bc7695b, "rpc_create" },
	{ 0x246d893d, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x3e130016, "__folio_start_writeback" },
	{ 0x15824904, "d_obtain_root" },
	{ 0x36ace1d7, "bpf_trace_run1" },
	{ 0xa242f46d, "param_ops_short" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc99f558c, "folio_end_writeback" },
	{ 0xf8586680, "rpc_call_sync" },
	{ 0x91fd8212, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x91f35d4a, "rpc_put_task_async" },
	{ 0x625fdec3, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xaa77d7ca, "xdr_init_decode_pages" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6b33542d, "rpc_exit" },
	{ 0x19f0399d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf6331e9e, "d_delete" },
	{ 0x1f382e7d, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x84bbe65f, "nfs_ssc_unregister" },
	{ 0xa0186f6, "rpc_killall_tasks" },
	{ 0x103bafd6, "down_read" },
	{ 0xf563e834, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x7242e96d, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x1c4f8ffd, "iov_iter_get_pages_alloc2" },
	{ 0xf439e97c, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2ab874e2, "bpf_trace_run3" },
	{ 0xcc2b538a, "__put_net" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbf438995, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6dbb981a, "generic_read_dir" },
	{ 0xa455e919, "kobject_del" },
	{ 0x4f2e07e, "trace_event_buffer_reserve" },
	{ 0x4dc9ef9a, "d_add" },
	{ 0x33fa677f, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x3c136b8d, "filemap_fdatawait_range" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x52ff439c, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x441fc8e, "security_inode_notifysecctx" },
	{ 0x51baa5c3, "nfs_ssc_register" },
	{ 0xebfc47e8, "init_user_ns" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xc13be83c, "invalidate_inode_pages2" },
	{ 0x20b5f8a1, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x266294c, "mempool_destroy" },
	{ 0x315953e8, "__folio_put" },
	{ 0x1787200e, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4485bcc, "seq_printf" },
	{ 0x2f4d47d5, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7806ea3, "deactivate_locked_super" },
	{ 0xdac5c9c0, "put_rpccred" },
	{ 0xe268f44a, "__percpu_down_read" },
	{ 0x82a82436, "__d_lookup_unhash_wake" },
	{ 0x17e1aa7e, "kobject_uevent" },
	{ 0xa1351004, "__fscache_invalidate" },
	{ 0x70396f03, "folio_mapping" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0x8a34ae0f, "cred_fscmp" },
	{ 0xd1f407f8, "__folio_lock" },
	{ 0xad867f72, "filemap_dirty_folio" },
	{ 0x969616b4, "pagecache_get_page" },
	{ 0x6e72852c, "is_bad_inode" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x57a5b638, "seq_puts" },
	{ 0x52d96d50, "__fscache_use_cookie" },
	{ 0x35bd19e7, "rcuwait_wake_up" },
	{ 0x712876c5, "_proc_mkdir" },
	{ 0x2c987432, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xef43ff26, "seq_escape" },
	{ 0x1a8bccde, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xe2394e31, "__fs_parse" },
	{ 0x3f7dedd4, "sysfs_create_link_nowarn" },
	{ 0xcbf5da5d, "dget_parent" },
	{ 0x905a98b3, "nlmclnt_init" },
	{ 0xbb6a78cb, "kill_anon_super" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x7ed60571, "iget5_locked" },
	{ 0x67775c52, "filemap_write_and_wait_range" },
	{ 0xa64f333b, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x392f6849, "nlmclnt_done" },
	{ 0x824f391a, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9854f1a2, "param_ops_int" },
	{ 0x2f159de0, "netfs_subreq_terminated" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0xe27541ef, "iov_iter_revert" },
	{ 0x65a90739, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaa0fb8d0, "mntget" },
	{ 0x957eda84, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x88ccefb9, "kmem_cache_alloc_lru" },
	{ 0x6dd2f33, "filemap_fault" },
	{ 0x65720611, "d_invalidate" },
	{ 0x696edcd4, "__mark_inode_dirty" },
	{ 0x5a9acd47, "generic_file_llseek" },
	{ 0x36125f95, "folio_wait_private_2_killable" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa3a06d43, "rpc_wait_for_completion_task" },
	{ 0x7a20b90b, "set_anon_super" },
	{ 0x15449ef, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeb390d04, "kmem_cache_destroy" },
	{ 0x63dd27c2, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb4a00291, "kobject_put" },
	{ 0x9de98b3e, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "1CC64CFD28FCE56853E9910");
MODULE_INFO(rhelversion, "9.6");
