#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x00abcf30, "");
SYMBOL_CRC(tipc_dump_start, 0x722364a0, "");
SYMBOL_CRC(tipc_dump_done, 0xbf71a2be, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x3d056c65, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5287b182, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x371a4f16, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x80359ad5, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x5c0f0b87, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x86c1ace0, "skb_put" },
	{ 0x1c9f507e, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9ae1c3fd, "ip6_dst_hoplimit" },
	{ 0x9f275f64, "trace_output_call" },
	{ 0xf18b41d2, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x713d94ab, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbce8e6de, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x601ab90, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x833407b5, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x822fafe2, "__ip_dev_find" },
	{ 0xb4f80194, "dst_cache_set_ip4" },
	{ 0xc959f2a9, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x96489c6b, "genlmsg_put" },
	{ 0x68f81a80, "___pskb_trim" },
	{ 0xf95a85ea, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc8a1ce2b, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x34bea976, "netdev_warn" },
	{ 0xa0beca1b, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x6806e6b9, "crypto_aead_decrypt" },
	{ 0xa810830c, "event_triggers_call" },
	{ 0x5f34afe5, "kernel_accept" },
	{ 0xc6b73d7b, "__module_get" },
	{ 0xd9bcb446, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc8598649, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdd35be97, "pskb_expand_head" },
	{ 0x9d65e34b, "register_pernet_subsys" },
	{ 0xa11cbd74, "put_cmsg" },
	{ 0x248cc7b4, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x49c6f5bd, "trace_event_buffer_commit" },
	{ 0xde60c952, "crypto_destroy_tfm" },
	{ 0x384c8de, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x134985, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x56aa069f, "sock_register" },
	{ 0x3183cef4, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc88a83e2, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcec1d66, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4ad2c0d, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xa27fe6fb, "skb_try_coalesce" },
	{ 0x7717dcf2, "proto_register" },
	{ 0x15d98c65, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xbda71389, "skb_queue_tail" },
	{ 0x171ef4c3, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xf5977e51, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa1708db2, "__dev_get_by_index" },
	{ 0x2e565579, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xfa7fb21e, "__traceiter_sk_data_ready" },
	{ 0x3815fcdd, "init_net" },
	{ 0xaaeedff1, "ipv6_stub" },
	{ 0x2c034db4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x2070130b, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x809952f2, "sk_skb_reason_drop" },
	{ 0x94757c5e, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb673ec08, "dev_remove_pack" },
	{ 0x4f148934, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa1c2e352, "kernel_sock_shutdown" },
	{ 0xdd98ac06, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xde98536b, "skb_push" },
	{ 0x4decccba, "dst_cache_get" },
	{ 0x101b79b3, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x6230a39c, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc1b9fb57, "iov_iter_kvec" },
	{ 0x8b316447, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xfb35f668, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x46576276, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8746e65a, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x46bf39e6, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x625fdec3, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfae4f469, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5243e1bc, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x9ac2c71c, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xe5d35c66, "__pskb_pull_tail" },
	{ 0xe4e0da91, "sock_no_sendpage" },
	{ 0xa075d312, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xc0b8f403, "setup_udp_tunnel_sock" },
	{ 0xb7c9a3f0, "udp_sock_create6" },
	{ 0xfdcc1261, "skb_trim" },
	{ 0x740f0408, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x2ab874e2, "bpf_trace_run3" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x76e78756, "sock_rfree" },
	{ 0x343ae422, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5318e320, "kernel_listen" },
	{ 0x8bb561c2, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4f2e07e, "trace_event_buffer_reserve" },
	{ 0xf9564df9, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x5b8be6ec, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe7230a30, "dst_cache_set_ip6" },
	{ 0xf82f80f7, "pskb_put" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2c6b114, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4f1b55d2, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6cbc2a0a, "skb_copy" },
	{ 0x55a6994f, "skb_clone" },
	{ 0xd6c40a2d, "dev_get_by_name" },
	{ 0xd743de83, "_copy_from_iter" },
	{ 0xfd8913da, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x8283d360, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xeb4f6f58, "sk_stop_timer" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xf5f0d953, "genl_unregister_family" },
	{ 0x5627f7a1, "from_kuid_munged" },
	{ 0xa3f5277, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe27541ef, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0xe6b7f6a2, "genl_register_family" },
	{ 0xb0340d35, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x9cb5f768, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x40fcbe0, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe356b589, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa3e8c17c, "kmalloc_caches" },
	{ 0xfbe1eb6f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x3a152291, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FEE4255C18D57CD1F1F3394");
MODULE_INFO(rhelversion, "9.6");
